%define upstream_name    Color-RGB-Util
%define upstream_version 0.609

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Utilities related to RGB colors
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::RandomResult)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Color::RGB::Util - Utilities related to RGB colors

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Mar 21 2025 tv <tv> 0.609.0-1.mga10
+ Revision: 2167893
- update to 0.609

* Fri Dec 15 2023 tv <tv> 0.607.0-1.mga10
+ Revision: 2018227
- update to 0.607

* Mon Mar 21 2022 umeabot <umeabot> 0.606.0-2.mga9
+ Revision: 1814850
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 tv <tv> 0.606.0-1.mga9
+ Revision: 1741591
- update to 0.606

* Tue Mar 16 2021 tv <tv> 0.604.0-1.mga9
+ Revision: 1703719
- update to 0.604

* Sat Mar 13 2021 tv <tv> 0.603.0-1.mga9
+ Revision: 1701962
- update to 0.603

* Fri Mar 12 2021 tv <tv> 0.602.0-1.mga9
+ Revision: 1701696
- update to 0.602

* Fri Jul 17 2020 tv <tv> 0.601.0-1.mga8
+ Revision: 1606838
- imported package perl-Color-RGB-Util

